<?php
/**
 * Product loop sale flash
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $product;

if ( ! $product->is_in_stock() ) return;

$product_id = $product->get_id();

$is_active         = get_post_meta( $product_id, '_active_custom_onsale', true );
$preset            = get_post_meta( $product_id, '_preset_onsale_icon', true );
$custom            = get_post_meta( $product_id, '_custom_onsale_icon', true );
$regular_price     = get_post_meta( $product_id, '_regular_price', true );
$regular_price_var = get_post_meta( $product_id, '_min_variation_price', true );

$img = '';

$icon_url = apply_filters('wpml_translate_single_string', '/woocommerce/images/bullets/sale.png' , 'socute-theme', 'sale-icon-url' );

// set a preset image
if ( $is_active && $is_active != 'no' ) {
    switch ( $preset ) {
        case 'onsale' : $img = get_template_directory_uri() . $icon_url; break;
        case '-50%'   : $img = get_template_directory_uri() . '/woocommerce/images/bullets/50.png'; break;
        case '-25%'   : $img = get_template_directory_uri() . '/woocommerce/images/bullets/25.png'; break;
        case '-10%'   : $img = get_template_directory_uri() . '/woocommerce/images/bullets/10.png'; break;
        case 'custom' : $img = $custom; break;
    }

} elseif ( $product->is_on_sale() && ( !empty( $regular_price ) || !empty( $regular_price_var ) ) ) {


    $img = get_template_directory_uri() . $icon_url ;

}

if ( empty( $img ) ) return;


yit_image( "src=$img&getimagesize=1&class=onsale&alt=" . __( 'On sale!', 'yit' ) );