<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @author        WooThemes
 * @package    WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

$posts_per_page = yit_get_option( 'shop-number-related' );

$related_products = wc_get_related_products( $product->get_id(), $posts_per_page );


if ( $related_products ) :?>

	<?php

	$args = apply_filters( 'woocommerce_related_products_args', array(
		'post_type'           => 'product',
		'ignore_sticky_posts' => 1,
		'no_found_rows'       => 1,
		'posts_per_page'      => $posts_per_page,
		'orderby'             => $orderby,
		'post__in'            => $related_products,
		'post__not_in'        => array( $product->get_id() )
	) );

	$products = new WP_Query( $args );
	?>

	<?php $style = yit_get_option( 'product-single-layout', 'layout-1' ); ?>

	<?php if ( $style == 'layout-2' ) : ?>

		<div class="row">

		<div class="span12">

	<?php endif; ?>

	<div class="related products">

		<?php printf( '<h2>%s</h2>', apply_filters( 'yit_related_products_title', __( 'Related Products', 'yit' ) ) ) ?>

		<?php woocommerce_product_loop_start(); ?>

		<?php foreach ( $related_products as $related_product ) : ?>

			<?php
			$post_object = get_post( $related_product );

			setup_postdata( $GLOBALS['post'] =& $post_object );

			wc_get_template_part( 'content', 'product' ); ?>

		<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

	<?php if ( $style == 'layout-2' ) : ?>

		</div>

		</div>

	<?php endif; ?>

<?php endif;

wp_reset_postdata();
